package me.hammerle.supersnuvi.entity.components.animator;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.rendering.IRenderer;

public class EntityAnimator 
{
    public final static EntityAnimator NULL = new EntityAnimator(null);
    
    protected final Entity ent;
    
    protected EntityAnimator(Entity ent)
    {
        this.ent = ent;
    }
    
    public void tick()
    {
    }
    
    public void render(IRenderer renderer)
    {
    }
    
    public void resetFrames()
    {
    }
    
    public int getAttackTicks() 
    {
        return 0;
    }
    
    public int getCombatStartTicks() 
    {
        return 0;
    }
    
    public int getBlockTicks()
    {
        return 0;
    }
    
    public int getDeathTicks()
    {
        return 0;
    }
    
    public boolean drawImageFlipped()
    {
        return false;
    }
}
